Subject: Re: bug#5586: 23.1.92.1; Electric indentation and hungry backspace deletion in JavaScript mode (js-mode)

From: Chong Yidong <[email-masked]>
Date: Sun, 28 Mar 2010 16:46:45 -0400

> espresso-mode actually had electric indentation when I submitted it
> for inclusion in Emacs. Can we restore that functionality?

You're right, it was a mistake to take that out, since CC mode also has
electric punctuation.

I am still not happy about the way it's implemented in either mode---I
think Emacs needs some kind of centralized mechanism for this---but that
is a longer-term project.  In the meantime, I've restored the deleted
code in the branch.

One difference, however, is that espresso-mode did electric punctuation
for `+-.'.  I didn't restore this yet, since CC mode does not do
electric punctuation for these characters.  Is there any reason we need
to do this specially for Javascript?